// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "NpcUsableActor.h"
#include "CashRegisterActor.generated.h"

UCLASS()
class FAYE_API ACashRegisterActor : public ANpcUsableActor
{
	GENERATED_BODY()

public:
	// Sets default values for this actor's properties
	ACashRegisterActor();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	// Called every frame
	virtual void Tick(float DeltaTime) override;
};
